/***************************************************************************
 *   Copyright (C) 2007 by Felix H. Dahlke   *
 *   fhd@ubercode.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KBCCONFIGWINDOW_H
#define KBCCONFIGWINDOW_H

#include "kbcconfiguration.h"
#include "configwindow.h"

class KBCConfigWindow: public Form1
{
	Q_OBJECT
public:
	KBCConfigWindow(QWidget *parent = 0, KBCConfiguration *config = 0);

	KBCConfiguration *config;

public slots:
	virtual void onDefaults();
	virtual void onApply();
	virtual void onOK();

signals:
	void configUpdated(KBCConfiguration *config);

private:
	void showConfig();
	void updateConfig();
};
#endif
